Avatars
Get Avatar
Get information about a specific Avatar.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Path Parameters
avatarId*string
Must be a valid avatar ID.
Response Body
application/json
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/avatars/avtr_912d66a4-4714-43b8-8407-7de2cafbf55b"{
"acknowledgements": "string",
"activeAssetReviewId": "string",
"assetUrl": "string",
"assetUrlObject": {},
"authorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"authorName": "string",
"created_at": "2019-08-24T14:15:22Z",
"description": "string",
"featured": false,
"highestPrice": 0,
"id": "avtr_912d66a4-4714-43b8-8407-7de2cafbf55b",
"imageUrl": "string",
"listingDate": "string",
"lock": true,
"lowestPrice": 0,
"name": "string",
"pendingUpload": false,
"performance": {
"android": "string",
"android-sort": 0,
"ios": "string",
"ios-sort": 0,
"standalonewindows": "string",
"standalonewindows-sort": 0
},
"productId": "string",
"publishedListings": [
{
"description": "string",
"displayName": "string",
"imageId": "string",
"listingId": "string",
"listingType": "string",
"priceTokens": 0
}
],
"releaseStatus": "public",
"searchable": false,
"styles": {
"primary": "string",
"secondary": "string",
"supplementary": [
"string"
]
},
"tags": [
"string"
],
"thumbnailImageUrl": "string",
"unityPackageUrl": "string",
"unityPackageUrlObject": {
"unityPackageUrl": "string"
},
"unityPackages": [
{
"assetUrl": "https://api.vrchat.cloud/api/1/file/file_cd0caa7b-69ba-4715-8dfe-7d667a9d2537/65/file",
"assetUrlObject": {},
"assetVersion": 4,
"created_at": "2020-09-10T06:13:27.777Z",
"id": "unp_52b12c39-4163-457d-a4a9-630e7aff1bff",
"impostorUrl": "string",
"impostorizerVersion": "0.17.0",
"performanceRating": "Excellent",
"platform": "standalonewindows",
"pluginUrl": "",
"pluginUrlObject": {},
"scanStatus": "string",
"unitySortNumber": 20180414000,
"unityVersion": "2022.3.6f1",
"variant": "string",
"worldSignature": "AHiPAWerwCpeYrxDthF5TU2SdUWEWnm43UAn8PKRXlS8k8tVRQ=="
}
],
"updated_at": "2019-08-24T14:15:22Z",
"version": 68
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}{
"error": {
"message": "Avatar Not Found",
"status_code": 404
}
}Search Avatars GET
Search and list avatars by query filters. You can only search your own or featured avatars. It is not possible as a normal user to search other peoples avatars.
Get Own Avatar GET
Get the current avatar for the user. This will return an error for any other user than the one logged in.